//=================================================================================================
// Hservo.h - This header file will define the functions that are exported to support something
//		equivlent to the HServo system in basic.  Although it's apis may be closer to that of the
//		SSC-32, with just one delta time parameter for the group moves.
//=================================================================================================
#ifndef _HSERVO_H_
#define _HSERVO_H_
#ifdef __cplusplus
extern "C" {
#endif

typedef short int HSPOS;	// define some unit to use for HServo calls

//extern void ServoGroupMove (short iServoFirst, short cServos, DRIVE_SPEED *ads, short sMoveTime);
//extern void InitServoGroupMove(SERVO_LIST *pservos);		// You pass in the list of servos - in PGMSPACE.  
//extern unsigned FProcessServoGroupMove(void);
//extern unsigned WhichGroupMoveServosActive(void);
//extern void DumpGPTimings(void);
//extern void WaitForGMToComplete(unsigned uSGMMask);

extern void HServoInit(void);								// init the subsystem will need to init the timers and the like...
extern void HServo(u16 sMoveTime, short cServos, ...);	// variable number of parameters.  Short be Pin, position for each one...
extern bool HServoIdle(u8 pin);
extern HSPOS HServoPos(u8 pin);


#ifdef __cplusplus
}
#endif

#endif //_HSERVO_H_

